/[suikacvs]/test/suikawebwww/www/2005/tutorial/tutorial-style.css
Suika

Contents of /test/suikawebwww/www/2005/tutorial/tutorial-style.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (hide annotations) (download) (as text)
Tue Mar 7 06:23:49 2006 UTC (20 years, 4 months ago) by wakaba
Branch: MAIN
CVS Tags: HEAD
File MIME type: text/css
New

1 wakaba 1.1 @charset 'iso-2022-jp';
2     @import 'http://suika.fam.cx/www/style/html/xhtml.css';
3     @namespace xoxo 'http://suika.fam.cx/www/style/html/xoxo#';
4    
5     body {
6     margin-left: 3em;
7     margin-right: 3em;
8     }
9    
10     div.section {
11     min-width: 30em;
12     margin-right: 8em;
13     }
14    
15     div.section div.section {
16     margin-right: 0;
17     }
18    
19     h3:before, h4:before {
20     display: none;
21     }
22    
23     #toc li {
24     list-style-type: none;
25     }
26    
27     div.doc-preamble,
28     div.doc-postamble,
29     div.doc-key-points {
30     width: 70%;
31     margin-left: auto;
32     margin-right: auto;
33     margin-top: 2em;
34     margin-bottom: 2em;
35     padding: 1em;
36     background-color: rgb(221, 221, 221);
37     color: black;
38     }
39    
40     div.doc-key-points {
41     clear: both;
42     -moz-border-radius-topright: 2em;
43     -moz-border-radius-bottomleft: 2em;
44     background-color: #ffe8ff;
45     }
46    
47     div.doc-exercise {
48     margin-left: 4em;
49     margin-right: 4em;
50     border-style: double;
51     border-color: rgb(255, 165, 0);
52     border-size: thin;
53     padding: 0 1em;
54     }
55    
56     div.doc-exercise > div.doc-problem {
57     margin-bottom: 1em;
58     }
59    
60     div.doc-exercise > div.doc-problem > h2,
61     div.doc-exercise > div.doc-problem > h3,
62     div#answers div.doc-problem > h3,
63     div#answers div.doc-problem > h4 {
64     display: inline;
65     }
66    
67     div.doc-exercise > div.doc-problem > h2:before,
68     div.doc-exercise > div.doc-problem > h3:before,
69     div#answers div.doc-problem > h3:before,
70     div#answers div.doc-problem > h4:before {
71     display: none;
72     }
73    
74     div.doc-exercise > div.doc-problem > h2 + p,
75     div.doc-exercise > div.doc-problem > h3 + p,
76     div#answers div.doc-problem > h3 + p,
77     div#answers div.doc-problem > h4 + p {
78     display: inline;
79     }
80    
81     div#answers pre {
82     margin-left: 1em;
83     }
84    
85     div#index li {
86     clear: left;
87     }
88    
89     div#index > ol > li {
90     display: block;
91     list-style-type: none;
92     }
93    
94     div#index > ol > li > div.non-para {
95     display: block;
96     list-style-type: none;
97     text-align: center;
98     letter-spacing: 1em;
99     font-weight: bolder;
100     font-family: sans-serif;
101     -moz-user-select: none;
102     }
103    
104     div#index > ol > li.doc-index-aiueo-misc > div.non-para {
105     letter-spacing: 0;
106     }
107    
108     div#index > ol > li > div.non-para:before {
109     display: inline;
110     content: "\003016";
111     letter-spacing: 1em;
112     }
113    
114     div#index > ol > li:not([xoxo|expanded="true"]) > div.non-para:before {
115     content: "$B!Z(B";
116     }
117    
118     div#index > ol > li > div.non-para:after {
119     display: inline;
120     content: "\003017";
121     letter-spacing: 0;
122     }
123    
124     div#index > ol > li.doc-index-aiueo-misc > div.non-para:after {
125     padding-left: 1em;
126     }
127    
128     div#index > ol > li:not([xoxo|expanded="true"]) > div.non-para:after {
129     content: "$B![(B";
130     }
131    
132     div#index ol li {
133     list-style-type: none;
134     }
135    
136     div#index span.doc-index-item {
137     display: block;
138     float: left;
139     width: 60%;
140     }
141    
142     div#index span.doc-index-page {
143     display: block;
144     }
145    
146     div#index em {
147     font-weight: bolder;
148     font-family: sans-serif;
149     }
150    
151    
152     div.fig {
153     clear: right;
154     float: right;
155     width: 45%;
156     margin-left: 2em;
157     margin-right: 1em;
158     }
159    
160     div.quote ~ div.fig {
161     clear: none;
162     float: none;
163     width: auto;
164     margin-left: 1em;
165     margin-right: 55%;
166     }
167    
168     #lists-wonders-tree-prose {
169     clear: left;
170     float: left;
171     width: 42%;
172     margin-left: 1em;
173     margin-right: 2em;
174     }
175    
176     #parahraphs-example-tree-html,
177     #lists-wonders-tree-html,
178     #lists-recipe-kenchin-tree-html,
179     #lists-wonders-tree-prose,
180     #lists-example-wonders {
181     clear: both;
182     float: none;
183     width: 80%;
184     margin-left: auto;
185     margin-right: auto;
186     }
187    
188     div.doc-problem div.fig {
189     float: none;
190     clear: both;
191     width: auto;
192     margin-left: auto;
193     margin-right: auto;
194     }
195    
196     div.fig-body {
197     font-size: 80%;
198     }
199    
200     div.fig-body div.memo {
201     font-size: 100% /* 80% * __(100/80)% * 80%__ */;
202     }
203    
204     div.fig-body ol.xoxo {
205     margin-left: 1em;
206     }
207    
208     div.fig div.caption {
209     width: 80%;
210     margin-left: auto;
211     margin-right: auto;
212     }
213    
214     div.fig div.caption,
215     div.example div.caption {
216     font-size: 90%;
217     }
218    
219     div.fig > div.caption:before,
220     div.example > div.caption:before {
221     display: none;
222     content: "";
223     }
224    
225     div.quote {
226     clear: right;
227     float: right;
228     width: 45%;
229     margin-top: 2em;
230     margin-left: 2.5em;
231     margin-right: 1.5em;
232     font-size: 80%;
233     }
234    
235     blockquote h3,
236     blockquote h4 {
237     margin-left: 1em;
238     margin-bottom: 1em;
239     }
240    
241     blockquote h3:before,
242     blockquote h4:before {
243     display: none;
244     }
245    
246     div.quote div.credit {
247     font-size: 80%;
248     }
249    
250     div.example {
251     clear: both;
252     float: none;
253     margin-left: 3em;
254     margin-right: 3em;
255     margin-top: 1em;
256     margin-bottom: 1em;
257     }
258    
259     div.example:before {
260     display: none;
261     }
262    
263     div.example pre > code.HTML,
264     div#answers pre > code.HTML {
265     color: inherit;
266     background-color: transparent;
267     }
268    
269     div.memo:not(.ed), div.memo.todo {
270     position: absolute;
271     top: auto;
272     right: 0.5em;
273     width: 13em;
274     margin: 1em 0;
275     font-size: 80%;
276     -moz-binding: url(http://suika.fam.cx/www/style/ui/sidenote.xbl#bottom-by-previous-sibling-offset);
277     }
278    
279     div.memo + div.memo,
280     div.fig + * + div.memo {
281     -moz-binding: url(http://suika.fam.cx/www/style/ui/sidenote.xbl#top-by-previous-sibling-offset);
282     }
283    
284     div.memo :first-child:before {
285     display: block;
286     margin-left: 0;
287     padding-left: 0;
288     text-indent: 0;
289     }
290    
291     div.info.memo > :first-child:before {
292     content: "$B%a%b(B : ";
293     }
294    
295     div.info.memo.ed > :first-child:before {
296     content: "$BJT=8<T$N%a%b(B: ";
297     }
298    
299     div.info.memo.todo > :first-child:before {
300     content: "TO DO: ";
301     }
302    
303     div.doc-mini-column {
304     margin: 2em 4em;
305     -moz-border-radius: 1em;
306     padding: 1em;
307     background-color: rgb(238, 238, 204);
308     color: black;
309     }
310    
311     div.doc-mini-column div.caption {
312     margin-bottom: 1em;
313     margin-left: 1em;
314     }
315    
316    
317    
318     code.tutorial-tag, code.doc-sgml-declaration {
319     font-weight: bolder;
320     color: blue;
321     background-color: transparent;
322     }
323    
324     pre {
325     text-indent: 0;
326     }
327    
328     code.HTML a:link, code.HTML a:visited,
329     code.HTMLe a:link, code.HTMLe a:visited,
330     code.HTMLa a:link, code.HTMLa a:visited {
331     color: inherit;
332     background-color: transparent;
333     }
334    
335     .block {
336     display: block;
337     margin-left: 3em;
338     text-indent: 0;
339     }
340    
341     .tutorial-syntax {
342     margin-left: 1em;
343     margin-right: 1em;
344     text-align: center;
345     }
346    
347     a.doc-mark-ref, a.doc-iref-quote, a.doc-iref-fig,
348     a.doc-iref-example, a.doc-iref-section {
349     color: inherit;
350     background-color: transparent;
351     border-style: none;
352     text-decoration: none;
353     }
354    
355     a.doc-mark-ref {
356     cursor: inherit;
357     }
358    
359     .doc-mark-enabled, .snip.doc-mark-enabled {
360     background-color: #ffff80;
361     }
362    
363     span.latex-a {
364     text-transform: uppercase;
365     vertical-align: 0.2em;
366     }
367    
368     span.latex-e {
369     text-transform: uppercase;
370     vertical-align: -0.2em;
371     }
372    
373     /*
374     License: GNU FDL (See |webpage.ja.xml|).
375     $Date:$
376     */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24